ShortLink
Returns a list of ShortLink
GET/api/servermanagement/shortlink
Query parameters
idstring | |
shortTextstring | |
longTextstring | |
descriptionstring | |
contentTypestring | |
utmIdstring | |
utmSourcestring | |
utmMediumstring | |
utmCampaignstring | |
utmTermstring | |
utmContentstring | |
trackingProviderstring | |
archivedboolean | |
clicksTodaystring | |
clicksWeekstring | |
clicksYearstring | |
searchStringstring | |
createdstring | |
updatedstring | |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of ShortLinkarray<ShortLink>
Show fields (12)
idintegerPrimary key of the short link. Internal ID.
short_textstringShort text of the link, used in the URL.
long_textstringTarget URL the short link redirects to.
descriptionstringDescription of the short link.
content_typestringType of the content the link points to.
archivedbooleanWhether the short link is archived.
clicks_todayintegerNumber of clicks today.
clicks_weekintegerNumber of clicks this week.
clicks_yearintegerNumber of clicks this year.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/servermanagement/shortlink \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/servermanagement/shortlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/servermanagement/shortlink"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/servermanagement/shortlink', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/servermanagement/shortlink"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/servermanagement/shortlink")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/servermanagement/shortlink"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/server_management_short_link_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ServerManagementShortLinkController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"archived": true,
"clicks_today": 1,
"clicks_week": 1,
"clicks_year": 1,
"search_string": "string"
}
]Create a single ShortLink
POST/api/servermanagement/shortlink
Request body application/json
dataShortLink2Show fields (12)
short_textstringShort text of the link, used in the URL.
long_textstringTarget URL the short link redirects to.
descriptionstringDescription of the short link.
content_typestringType of the content the link points to.
utm_idstringUTM ID used for tracking.
utm_sourcestringUTM source used for tracking.
utm_mediumstringUTM medium used for tracking.
utm_campaignstringUTM campaign used for tracking.
utm_termstringUTM term used for tracking.
utm_contentstringUTM content used for tracking.
tracking_providerstringTracking provider of the link.
archivedbooleanWhether the short link is archived.
Responses
200Create a single ShortLinkShortLink3
Show fields (20)
full_urlstringidintegerPrimary key of the short link. Internal ID.
short_textstringShort text of the link, used in the URL.
long_textstringTarget URL the short link redirects to.
descriptionstringDescription of the short link.
content_typestringType of the content the link points to.
utm_idstringUTM ID used for tracking.
utm_sourcestringUTM source used for tracking.
utm_mediumstringUTM medium used for tracking.
utm_campaignstringUTM campaign used for tracking.
utm_termstringUTM term used for tracking.
utm_contentstringUTM content used for tracking.
tracking_providerstringTracking provider of the link.
archivedbooleanWhether the short link is archived.
clicks_todayintegerNumber of clicks today.
clicks_weekintegerNumber of clicks this week.
clicks_yearintegerNumber of clicks this year.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request POST \
--url https://your-instance.iw-erp.de/api/servermanagement/shortlink \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
short_text: 'Text',
long_text: 'Text',
description: 'Text',
content_type: 'string',
utm_id: '42',
utm_source: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/servermanagement/shortlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/servermanagement/shortlink"
payload = { "data": {
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/servermanagement/shortlink', [
'body' => '{"data":{"short_text":"Text","long_text":"Text","description":"Text","content_type":"string","utm_id":"42","utm_source":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/servermanagement/shortlink"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"short_text\":\"Text\",\"long_text\":\"Text\",\"description\":\"Text\",\"content_type\":\"string\",\"utm_id\":\"42\",\"utm_source\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"short_text\":\"Text\",\"long_text\":\"Text\",\"description\":\"Text\",\"content_type\":\"string\",\"utm_id\":\"42\",\"utm_source\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/servermanagement/shortlink")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/servermanagement/shortlink"
payload := strings.NewReader("{\"data\":{\"short_text\":\"Text\",\"long_text\":\"Text\",\"description\":\"Text\",\"content_type\":\"string\",\"utm_id\":\"42\",\"utm_source\":\"string\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/server_management_short_link_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/server_management_short_link.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ServerManagementShortLinkController.post(ServerManagementShortLink.fromJson({
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string"
}));
if (result.success) {
print(result.data);
}{
"full_url": "https://vynst.de",
"id": 42,
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string"
}Returns a single ShortLink with the given id
GET/api/servermanagement/shortlink/{id}
Path parameters
idrequiredstring |
Responses
200Returns a single ShortLink with the given idShortLink3
Show fields (20)
full_urlstringidintegerPrimary key of the short link. Internal ID.
short_textstringShort text of the link, used in the URL.
long_textstringTarget URL the short link redirects to.
descriptionstringDescription of the short link.
content_typestringType of the content the link points to.
utm_idstringUTM ID used for tracking.
utm_sourcestringUTM source used for tracking.
utm_mediumstringUTM medium used for tracking.
utm_campaignstringUTM campaign used for tracking.
utm_termstringUTM term used for tracking.
utm_contentstringUTM content used for tracking.
tracking_providerstringTracking provider of the link.
archivedbooleanWhether the short link is archived.
clicks_todayintegerNumber of clicks today.
clicks_weekintegerNumber of clicks this week.
clicks_yearintegerNumber of clicks this year.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/servermanagement/shortlink/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/servermanagement/shortlink/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/servermanagement/shortlink/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/servermanagement/shortlink/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/server_management_short_link_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ServerManagementShortLinkController.get('42');
if (result.success) {
print(result.data);
}{
"full_url": "https://vynst.de",
"id": 42,
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string"
}Update a single ShortLink
PUT/api/servermanagement/shortlink/{id}
Path parameters
idrequiredstring |
Request body application/json
dataShortLink2Show fields (12)
short_textstringShort text of the link, used in the URL.
long_textstringTarget URL the short link redirects to.
descriptionstringDescription of the short link.
content_typestringType of the content the link points to.
utm_idstringUTM ID used for tracking.
utm_sourcestringUTM source used for tracking.
utm_mediumstringUTM medium used for tracking.
utm_campaignstringUTM campaign used for tracking.
utm_termstringUTM term used for tracking.
utm_contentstringUTM content used for tracking.
tracking_providerstringTracking provider of the link.
archivedbooleanWhether the short link is archived.
Responses
200Update a single ShortLinkShortLink3
Show fields (20)
full_urlstringidintegerPrimary key of the short link. Internal ID.
short_textstringShort text of the link, used in the URL.
long_textstringTarget URL the short link redirects to.
descriptionstringDescription of the short link.
content_typestringType of the content the link points to.
utm_idstringUTM ID used for tracking.
utm_sourcestringUTM source used for tracking.
utm_mediumstringUTM medium used for tracking.
utm_campaignstringUTM campaign used for tracking.
utm_termstringUTM term used for tracking.
utm_contentstringUTM content used for tracking.
tracking_providerstringTracking provider of the link.
archivedbooleanWhether the short link is archived.
clicks_todayintegerNumber of clicks today.
clicks_weekintegerNumber of clicks this week.
clicks_yearintegerNumber of clicks this year.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/servermanagement/shortlink/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
short_text: 'Text',
long_text: 'Text',
description: 'Text',
content_type: 'string',
utm_id: '42',
utm_source: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/servermanagement/shortlink/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"
payload = { "data": {
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/servermanagement/shortlink/42', [
'body' => '{"data":{"short_text":"Text","long_text":"Text","description":"Text","content_type":"string","utm_id":"42","utm_source":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"short_text\":\"Text\",\"long_text\":\"Text\",\"description\":\"Text\",\"content_type\":\"string\",\"utm_id\":\"42\",\"utm_source\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"short_text\":\"Text\",\"long_text\":\"Text\",\"description\":\"Text\",\"content_type\":\"string\",\"utm_id\":\"42\",\"utm_source\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/servermanagement/shortlink/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"
payload := strings.NewReader("{\"data\":{\"short_text\":\"Text\",\"long_text\":\"Text\",\"description\":\"Text\",\"content_type\":\"string\",\"utm_id\":\"42\",\"utm_source\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/server_management_short_link_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/server_management_short_link.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ServerManagementShortLinkController.put(ServerManagementShortLink.fromJson({
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string"
}));
if (result.success) {
print(result.data);
}{
"full_url": "https://vynst.de",
"id": 42,
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string"
}Update a single ShortLink
PATCH/api/servermanagement/shortlink/{id}
Path parameters
idrequiredstring |
Request body application/json
dataShortLink2Show fields (12)
short_textstringShort text of the link, used in the URL.
long_textstringTarget URL the short link redirects to.
descriptionstringDescription of the short link.
content_typestringType of the content the link points to.
utm_idstringUTM ID used for tracking.
utm_sourcestringUTM source used for tracking.
utm_mediumstringUTM medium used for tracking.
utm_campaignstringUTM campaign used for tracking.
utm_termstringUTM term used for tracking.
utm_contentstringUTM content used for tracking.
tracking_providerstringTracking provider of the link.
archivedbooleanWhether the short link is archived.
Responses
200Update a single ShortLinkShortLink3
Show fields (20)
full_urlstringidintegerPrimary key of the short link. Internal ID.
short_textstringShort text of the link, used in the URL.
long_textstringTarget URL the short link redirects to.
descriptionstringDescription of the short link.
content_typestringType of the content the link points to.
utm_idstringUTM ID used for tracking.
utm_sourcestringUTM source used for tracking.
utm_mediumstringUTM medium used for tracking.
utm_campaignstringUTM campaign used for tracking.
utm_termstringUTM term used for tracking.
utm_contentstringUTM content used for tracking.
tracking_providerstringTracking provider of the link.
archivedbooleanWhether the short link is archived.
clicks_todayintegerNumber of clicks today.
clicks_weekintegerNumber of clicks this week.
clicks_yearintegerNumber of clicks this year.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/servermanagement/shortlink/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string"
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
short_text: 'Text',
long_text: 'Text',
description: 'Text',
content_type: 'string',
utm_id: '42',
utm_source: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/servermanagement/shortlink/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"
payload = { "data": {
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/servermanagement/shortlink/42', [
'body' => '{"data":{"short_text":"Text","long_text":"Text","description":"Text","content_type":"string","utm_id":"42","utm_source":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"short_text\":\"Text\",\"long_text\":\"Text\",\"description\":\"Text\",\"content_type\":\"string\",\"utm_id\":\"42\",\"utm_source\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"short_text\":\"Text\",\"long_text\":\"Text\",\"description\":\"Text\",\"content_type\":\"string\",\"utm_id\":\"42\",\"utm_source\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/servermanagement/shortlink/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"
payload := strings.NewReader("{\"data\":{\"short_text\":\"Text\",\"long_text\":\"Text\",\"description\":\"Text\",\"content_type\":\"string\",\"utm_id\":\"42\",\"utm_source\":\"string\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/servermanagement/shortlink/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string"
}
}),
);
print(response.body);{
"full_url": "https://vynst.de",
"id": 42,
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string"
}Deletes a single ShortLink
DELETE/api/servermanagement/shortlink/{id}
Path parameters
idrequiredstring |
Responses
200Deletes a single ShortLinkShortLink3
Show fields (20)
full_urlstringidintegerPrimary key of the short link. Internal ID.
short_textstringShort text of the link, used in the URL.
long_textstringTarget URL the short link redirects to.
descriptionstringDescription of the short link.
content_typestringType of the content the link points to.
utm_idstringUTM ID used for tracking.
utm_sourcestringUTM source used for tracking.
utm_mediumstringUTM medium used for tracking.
utm_campaignstringUTM campaign used for tracking.
utm_termstringUTM term used for tracking.
utm_contentstringUTM content used for tracking.
tracking_providerstringTracking provider of the link.
archivedbooleanWhether the short link is archived.
clicks_todayintegerNumber of clicks today.
clicks_weekintegerNumber of clicks this week.
clicks_yearintegerNumber of clicks this year.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request DELETE \
--url https://your-instance.iw-erp.de/api/servermanagement/shortlink/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'DELETE', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/servermanagement/shortlink/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-instance.iw-erp.de/api/servermanagement/shortlink/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Delete,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/servermanagement/shortlink/42")
.delete(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/servermanagement/shortlink/42"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/server_management_short_link_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ServerManagementShortLinkController.delete('42');
if (result.success) {
print(result.data);
}{
"full_url": "https://vynst.de",
"id": 42,
"short_text": "Text",
"long_text": "Text",
"description": "Text",
"content_type": "string",
"utm_id": "42",
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string"
}